#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub READ {}
sub READLINE {}
sub GETC {}

my $Original_File = 'root/usr/lib/perl5/site_perl/esmith/BackupHistoryDB.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 44 root/usr/lib/perl5/site_perl/esmith/BackupHistoryDB.pm

use_ok("esmith::BackupHistoryDB");

$C = esmith::BackupHistoryDB->open('10e-smith-backup/backuphistory.conf');
isa_ok($C, 'esmith::BackupHistoryDB');

my $rec = $C->get('1053551285');
isa_ok($rec, 'esmith::DB::Record');

is( $rec->prop('EndEpochTime'), 1053551299,
                                    "We can get stuff from the db");


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 73 root/usr/lib/perl5/site_perl/esmith/BackupHistoryDB.pm


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

